<template>
  <i class="Icon">
    <svg :viewBox="viewBox">
      <path :d="icon" />
    </svg>
  </i>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'Icon',
  props: {
    viewBox: {
      type: String,
      default: '0 0 24 24',
    },
    icon: {
      type: String,
      required: true,
    },
  },
})
</script>
<style lang="scss" scoped>
.Icon {
  display: inline-flex;
  align-items: center;
  height: 100%;

  //noinspection CssInvalidPseudoSelector
  :deep(svg) {
    width: auto;
    height: 1em;
    line-height: 1em;
    fill: currentColor;
  }
}
</style>
